"mount.nfs is not installed" is in error

Bug #1212286 reported by Jeff Applewhite on 2013-08-14
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Navneet
Grizzly
Undecided
Navneet

Bug Description

when attempting to start cinder with an NFS volume the following is seen:

Here is the error:

ng cmd (subprocess): mount.nfs from (pid=22025) execute /opt/stack/cinder/cinder/openstack/common/processutils.py:142
2013-08-13 14:48:11.422 ERROR cinder.service [req-8f7805c3-14d0-4e00-9a76-547ec328d832 None None] Unhandled exception
2013-08-13 14:48:11.422 TRACE cinder.service Traceback (most recent call last):
2013-08-13 14:48:11.422 TRACE cinder.service File "/opt/stack/cinder/cinder/service.py", line 228, in _start_child
2013-08-13 14:48:11.422 TRACE cinder.service self._child_process(wrap.server)
2013-08-13 14:48:11.422 TRACE cinder.service File "/opt/stack/cinder/cinder/service.py", line 205, in _child_process
2013-08-13 14:48:11.422 TRACE cinder.service launcher.run_server(server)
2013-08-13 14:48:11.422 TRACE cinder.service File "/opt/stack/cinder/cinder/service.py", line 96, in run_server
2013-08-13 14:48:11.422 TRACE cinder.service server.start()
2013-08-13 14:48:11.422 TRACE cinder.service File "/opt/stack/cinder/cinder/service.py", line 385, in start
2013-08-13 14:48:11.422 TRACE cinder.service self.manager.init_host()
2013-08-13 14:48:11.422 TRACE cinder.service File "/opt/stack/cinder/cinder/volume/manager.py", line 138, in init_host
2013-08-13 14:48:11.422 TRACE cinder.service self.driver.do_setup(ctxt)
2013-08-13 14:48:11.422 TRACE cinder.service File "/opt/stack/cinder/cinder/volume/drivers/netapp/nfs.py", line 538, in do_setup
2013-08-13 14:48:11.422 TRACE cinder.service super(NetAppDirectNfsDriver, self).do_setup(context)
2013-08-13 14:48:11.422 TRACE cinder.service File "/opt/stack/cinder/cinder/volume/drivers/netapp/nfs.py", line 75, in do_setup
2013-08-13 14:48:11.422 TRACE cinder.service super(NetAppNFSDriver, self).do_setup(context)
2013-08-13 14:48:11.422 TRACE cinder.service File "/opt/stack/cinder/cinder/volume/drivers/nfs.py", line 232, in do_setup
2013-08-13 14:48:11.422 TRACE cinder.service raise exception.NfsException('mount.nfs is not installed')
2013-08-13 14:48:11.422 TRACE cinder.service NfsException: mount.nfs is not installed
2013-08-13 14:48:11.422 TRACE cinder.service

But inspecting…

stack@openstack6:~/$ ls -l /sbin/mount.nfs
-rwsr-xr-x 1 root root 102896 Oct 10 2012 /sbin/mount.nfs

stack@openstack6:~/$ sudo file /sbin/mount.nfs
/sbin/mount.nfs: setuid ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.24, BuildID[sha1]=0x2851d4f8403b34e4e4a19337ecc4309844e39d29, stripped

The error is not accurate. May be a bug in the generic NFS driver related to the fact that mount.nfs while set_up and on real mounts is run as different users.

Tags: nfs Edit Tag help
Navneet (singn) wrote :

The do_setup for generic driver verifies the mount.nfs but not run as root user whereas the actual mounts are done as root user. This requires the stack user to have admin priviledges or include /sbin in PATH or run the do_setup mount.nfs verify call as root user. I think it would be better to run it as root user as actual mounts are done with admin priviledges.

Changed in cinder:
assignee: nobody → Navneet (singn)

Fix proposed to branch: master
Review: https://review.openstack.org/47094

Changed in cinder:
status: New → In Progress

Reviewed: https://review.openstack.org/47094
Committed: http://github.com/openstack/cinder/commit/efd82e0265efbbfa43ff7ebb7523790b81299882
Submitter: Jenkins
Branch: master

commit efd82e0265efbbfa43ff7ebb7523790b81299882
Author: Navneet Singh <email address hidden>
Date: Wed Jul 31 13:59:33 2013 +0530

    Fix check for mount.nfs helper installation

    This fixes the issue for checking the
    existence of mount.nfs helper program
    in installation directories during
    driver set up.

    Closes-Bug:#1212286

    Change-Id: If2fa925614bd42295eae0f62ba948e14a89e1343

Changed in cinder:
status: In Progress → Fix Committed
tags: added: grizzly-backport-potential nfs
Thierry Carrez (ttx) on 2013-10-04
Changed in cinder:
milestone: none → havana-rc1
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/49686
Committed: http://github.com/openstack/cinder/commit/483a45542f68306a3677810ca24ecbd4f0f360bc
Submitter: Jenkins
Branch: stable/grizzly

commit 483a45542f68306a3677810ca24ecbd4f0f360bc
Author: Navneet Singh <email address hidden>
Date: Wed Jul 31 13:59:33 2013 +0530

    Fix check for mount.nfs helper installation

    This fixes the issue for checking the
    existence of mount.nfs helper program
    in installation directories during
    driver set up.

    Closes-Bug:#1212286

    Change-Id: If2fa925614bd42295eae0f62ba948e14a89e1343
    (cherry picked from commit efd82e0265efbbfa43ff7ebb7523790b81299882)

tags: added: in-stable-grizzly
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-rc1 → 2013.2
Alan Pevec (apevec) on 2014-03-31
tags: removed: grizzly-backport-potential in-stable-grizzly
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers